/*
 * Copyright (c) 2001-2004 The Trustees of Indiana University.  
 *                         All rights reserved.
 * Copyright (c) 1998-2001 University of Notre Dame. 
 *                         All rights reserved.
 * Copyright (c) 1994-1998 The Ohio State University.  
 *                         All rights reserved.
 * 
 * This file is part of the LAM/MPI software package.  For license
 * information, see the LICENSE file in the top level directory of the
 * LAM/MPI source distribution.
 * 
 * $HEADER$
 *
 * $Id: is_thr_main.c,v 1.3 2004/01/27 18:56:02 jsquyres Exp $
 */

#include <stdio.h>
#include "mpi.h"

#include "lamtest_error.h"

int 
main(int argc, char**argv)
{
  int flag, provided, err;

  err = MPI_Init_thread(&argc, &argv, MPI_THREAD_SINGLE, &provided);
  if (err != MPI_SUCCESS)
    lamtest_error(__FILE__, __LINE__, "ERROR: MPI_Init_thread did not return MPI_SUCCESS\n");

  if (provided < MPI_THREAD_SINGLE)
    lamtest_error(__FILE__, __LINE__, "ERROR: MPI_Init_thread returned less than MPI_THREAD_SINGLE\n");

  MPI_Is_thread_main(&flag);
  if (flag != 1)
    lamtest_error(__FILE__, __LINE__, "ERROR: MPI_Is_thread_main did not return 1\n");

  MPI_Finalize();
  return 0;
}
